using System;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models
{
    [Table("UserTypeMenu")]
    public partial class UserTypeMenu : Entity
    {
        #region 

        [JsonIgnore]
        [ForeignKey("UserTypeId")]
        public UserType UserType { get; set; }
        [JsonIgnore]
        public Menu Menu { get; set; }
        #endregion

        public Guid UserTypeId { get; set; }
        public Guid MenuId { get; set; }

       
      

    }
}
